import { CdmLogger } from '@cdm-logger/core';
import { ICacheService, ICacheEngine, ICacheOptions, ICacheSetOptions } from '../interfaces';
export declare class Cache implements ICacheService {
    private static DEFAULT_SCOPE;
    private static instance;
    private logger;
    private engine;
    constructor(engine: ICacheEngine, logger?: CdmLogger.ILogger);
    static get Instance(): Cache;
    private key;
    private isExpired;
    private getOptions;
    get defaults(): {
        scope: string;
        maxAge: number;
        createdAt: number;
    };
    set(key: string, payload: any, options?: ICacheSetOptions): Promise<any>;
    get(key: string, options?: ICacheOptions): Promise<any>;
    drop(key: any, options?: ICacheOptions): Promise<boolean>;
    invalidate(keys: any, options?: ICacheOptions): Promise<boolean>;
}
